Subject: [bug#60820] [PATCH] Add 'totpages' latex package.

From: [email-masked]
Date: Tue, 24 Jan 2023 23:25:37 +0100 (CET)

Hello,

> >> > +(define-public texlive-latex-totpages
> >
> >> The name should be texlive-totpages.
> >
> > Is there a reason why? The package lives under the latex/ directory, like the hyphenat and totpages package, which have latex- in their name.

> Guix dropped the directory part in package names months ago. It doesn't
> always make sense: some packages install files in more than one
> top-level directory. Also, it was decided packages should follow TeXLive
> naming scheme, as used in "texlive.tlpdb".

Thanks, it makes sense now. I did not understand that some cleanup was going on.

> It means that hyphenat package doesn't install its sources. Not good.

Thanks, I now know how to check if my package is correctly installed. 
I am not sure why we would want to install the sources in the final package,
instead of the .sty and the .pdf of the documentation

>  I already suggested how to deal with the issue. 
> Do not hesitate to ping me if you have troubles with what I suggest.

Thanks. The issue that I had is that the new definition is much more complex than what 
the importer suggested, or what old packages like hyphenat were doing, even though it is a 
very simple package. But I think I understand what it does and I can replicate that.

Best regards,
Matthieu